
public class Calculator extends ElectricDevice {
	protected double number;
	
	public Calculator(double weight) {
		super(weight);
	}

	@Override
	public void turnOn() {
		number = 0;
		super.turnOn();
	}
	
	public void addNumber(double number2) {
		if (isOn()) {
			number += number2;
		}
	}
	
	public void reset() {
		number = 0;
	}
	
	public Double readDisplay() {
		if (isOn()) {
			return new Double(number);
		} else {
			return null;
		}
	}

}
